module Fixingthenet
  module Installer
    class Command
      attr_reader :args
      attr_reader :options
      attr_reader :app

      def initialize(_options, args=[])
        @options=_options
        @args=args
        parse_options unless args.empty?

        @app=App.new(options)
        puts "options: #{options}" if options[:verbose]
        command
      end

      private

      def parse_common_options(opts)
        opts.on("-v", "--[no-]verbose", "Run verbosely") do |v|
          options[:verbose] = v
        end

        opts.on("-e", "--env ENV", "environment") do |v|
          options[:env] = v
        end

        opts.on("-r", "--root ROOTPATH", "Root") do |op|
          options[:apps_root] = Pathmame.new(op)
        end

        opts.on("-n", "--name NAME", "Name of the plugin") do |op|
          options[:name] = op
        end

      end

    end
  end
end
